import 'package:pip_services3_components/pip_services3_components.dart';
import 'package:pip_services3_commons/pip_services3_commons.dart';

import '../persistence/MongoDbConnection.dart';

/// Creates MongoDb components by their descriptors.
///
/// See [Factory]
/// See [MongoDbConnection]
class DefaultMongoDbFactory extends Factory {
  static final descriptor =
      Descriptor('pip-services', 'factory', 'mongodb', 'default', '1.0');
  static final MongoDbConnectionDescriptor =
      Descriptor('pip-services', 'connection', 'mongodb', '*', '1.0');

  /// Create a new instance of the factory.
  DefaultMongoDbFactory() : super() {
    registerAsType(
        DefaultMongoDbFactory.MongoDbConnectionDescriptor, MongoDbConnection);
  }
}
